EntityGroupInfo (Apache Geode 1.15.4)

org.apache.geode.management.api

## Class EntityGroupInfo<T extends AbstractConfiguration<R>,R extends RuntimeInfo>

- java.lang.Object
- - org.apache.geode.management.api.EntityGroupInfo<T,R>

- Type Parameters:
    `T` - the config type
    `R` - the runtimeInfo type

      @Experimental
      public class EntityGroupInfo<T extends AbstractConfiguration<R>,R extends RuntimeInfo>
      extends Object

  A simple object that holds a configuration object and its corresponding runtime info on each member. This represents the configuration per group and it's corresponding member runtimeInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityGroupInfo()` for internal use only
    `EntityGroupInfo(T configuration)` for internal use only
    `EntityGroupInfo(T configuration, List<R> runtimeInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `T` | `getConfiguration()` Returns the static portion of the configuration
    `Links` | `getLinks()`
    `List<R>` | `getRuntimeInfo()` Returns the non-static information
    `int` | `hashCode()`
    `void` | `setConfiguration(T configuration)` for internal use only
    `void` | `setRuntimeInfo(List<R> runtimeInfo)` for internal use only
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityGroupInfo

          public EntityGroupInfo()

      for internal use only

    - #### EntityGroupInfo

          public EntityGroupInfo(T configuration)

      for internal use only
      Parameters:
        `configuration` - the configuration to use

    - #### EntityGroupInfo

          public EntityGroupInfo(T configuration,
                                 List<R> runtimeInfo)

  - ### Method Detail

    - #### getConfiguration

          public T getConfiguration()

      Returns the static portion of the configuration
      Returns:
        the static portion of the configuration

    - #### setConfiguration

          public void setConfiguration(T configuration)

      for internal use only
      Parameters:
        `configuration` - the configuration to set

    - #### getRuntimeInfo

          public List<R> getRuntimeInfo()

      Returns the non-static information
      Returns:
        a list of `RuntimeInfo` representing the non-static portion of the configuration

    - #### setRuntimeInfo

          public void setRuntimeInfo(List<R> runtimeInfo)

      for internal use only
      Parameters:
        `runtimeInfo` - a list of `RuntimeInfo` to set

    - #### getLinks

          public Links getLinks()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`